Name:          hiredis
Version:       1.2.0
Release:       1mamba
Summary:       Minimalistic C client for Redis >= 1.2
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/redis/hiredis
## GITSOURCE https://github.com/redis/hiredis.git v0.13.3
Source:        https://github.com/redis/hiredis.git/v%{version}/hiredis-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Minimalistic C client for Redis >= 1.2.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Minimalistic C client for Redis >= 1.2

%description -n lib%{name}
Minimalistic C client for Redis >= 1.2.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%make PREFIX=%{_prefix} LIBRARY_PATH=%{_lib}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall PREFIX=%{_prefix} LIBRARY_PATH=%{_lib}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libhiredis.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/hiredis
%{_includedir}/hiredis/*
%{_libdir}/libhiredis.a
%{_libdir}/libhiredis.so
%{_libdir}/pkgconfig/hiredis.pc
%doc README.md


%changelog
* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sun Oct 10 2021 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Sun Aug 09 2020 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Tue Mar 31 2020 Automatic Build System <autodist@mambasoft.it> 0.14.1-1mamba
- automatic version update by autodist

* Sun Feb 02 2020 Automatic Build System <autodist@mambasoft.it> 0.14.0-1mamba
- automatic version update by autodist

* Mon May 07 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.3-1mamba
- package created using the webbuild interface
